Skip to main content
Returns all pricing plans in a project, including their associated features with full feature details.

Endpoint

GET /api/v1/projects/{slug}/plans

Authentication

Authorization
string
required
Bearer token with your API key. Requires read or read_write permission.

Path Parameters

slug
string
required
The project’s URL-friendly slug identifier.

Response

plans
array
List of plan objects.

Example

curl https://cuprice.io/api/v1/projects/my-saas-app/plans \
  -H "Authorization: Bearer cpk_your_key_here"
{
  "plans": [
    {
      "id": 200,
      "name": "Starter",
      "description": "For individuals and small projects",
      "basePrice": 0,
      "isPopular": false,
      "isVisible": true,
      "isFree": true,
      "planFeatures": [
        {
          "id": 300,
          "multiplier": 1,
          "feature": {
            "id": 101,
            "name": "AI Prompts",
            "featureType": "Limits",
            "basePrice": 10
          }
        }
      ],
      "createdAt": "2025-09-16T08:00:00.000Z",
      "updatedAt": "2025-09-16T08:00:00.000Z"
    },
    {
      "id": 201,
      "name": "Pro",
      "description": "For growing teams",
      "basePrice": 29,
      "isPopular": true,
      "isVisible": true,
      "isFree": false,
      "planFeatures": [
        {
          "id": 301,
          "multiplier": 5,
          "feature": {
            "id": 101,
            "name": "AI Prompts",
            "featureType": "Limits",
            "basePrice": 10
          }
        },
        {
          "id": 302,
          "multiplier": 1,
          "feature": {
            "id": 102,
            "name": "Team Members",
            "featureType": "Standart",
            "basePrice": 5
          }
        },
        {
          "id": 303,
          "multiplier": 1,
          "feature": {
            "id": 104,
            "name": "Priority Support",
            "featureType": "Standart",
            "basePrice": 20
          }
        }
      ],
      "createdAt": "2025-09-16T08:05:00.000Z",
      "updatedAt": "2025-11-20T14:30:00.000Z"
    },
    {
      "id": 202,
      "name": "Enterprise",
      "description": "For large organizations",
      "basePrice": 99,
      "isPopular": false,
      "isVisible": true,
      "isFree": false,
      "planFeatures": [
        {
          "id": 304,
          "multiplier": 20,
          "feature": {
            "id": 101,
            "name": "AI Prompts",
            "featureType": "Limits",
            "basePrice": 10
          }
        },
        {
          "id": 305,
          "multiplier": 10,
          "feature": {
            "id": 102,
            "name": "Team Members",
            "featureType": "Standart",
            "basePrice": 5
          }
        },
        {
          "id": 306,
          "multiplier": 1,
          "feature": {
            "id": 104,
            "name": "Priority Support",
            "featureType": "Standart",
            "basePrice": 20
          }
        }
      ],
      "createdAt": "2025-09-16T08:10:00.000Z",
      "updatedAt": "2025-11-20T14:30:00.000Z"
    }
  ]
}

Errors

StatusDescription
401Invalid or missing API key
404Project with the given slug not found